Bug 254855 - security/libfido2: Update to 1.7.0
Summary: security/libfido2: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://developers.yubico.com/libfido...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-07 15:00 UTC by Jose Luis Duran
Modified: 2021-05-02 20:11 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Update to 1.7.0 (10.25 KB, patch)
2021-04-07 15:00 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2021-04-07 15:00:25 UTC
Created attachment 223898 [details]
Update to 1.7.0

* Version 1.7.0 (2021-03-29)
 ** New dependency on zlib.
 ** Fixed musl build; gh#259.
 ** hid_win: detect devices with vendor or product IDs > 0x7fff; gh#264.
 ** Support for FIDO 2.1 authenticator configuration.
 ** Support for FIDO 2.1 UV token permissions.
 ** Support for FIDO 2.1 "credBlobs" and "largeBlobs" extensions.
 ** New API calls:
  - fido_assert_blob_len;
  - fido_assert_blob_ptr;
  - fido_assert_largeblob_key_len;
  - fido_assert_largeblob_key_ptr;
  - fido_assert_set_hmac_secret;
  - fido_cbor_info_maxcredbloblen;
  - fido_cred_largeblob_key_len;
  - fido_cred_largeblob_key_ptr;
  - fido_cred_set_blob;
  - fido_dev_enable_entattest;
  - fido_dev_force_pin_change;
  - fido_dev_has_uv;
  - fido_dev_largeblob_get;
  - fido_dev_largeblob_get_array;
  - fido_dev_largeblob_remove;
  - fido_dev_largeblob_set;
  - fido_dev_largeblob_set_array;
  - fido_dev_set_pin_minlen;
  - fido_dev_set_sigmask;
  - fido_dev_supports_credman;
  - fido_dev_supports_permissions;
  - fido_dev_supports_uv;
  - fido_dev_toggle_always_uv.
 ** New fido_init flag to disable fido_dev_open's U2F fallback; gh#282.
 ** Experimental NFC support on Linux; enable with -DNFC_LINUX.
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-05-02 20:11:56 UTC
Updated to 1.7.0 in a6a8aa60d5057562382eeaab81ae48dd965e1e75. Thanks!